Bug 11308 - [3.3 regression] ICE when calling a function on an enum type
Summary: [3.3 regression] ICE when calling a function on an enum type
Status: RESOLVED FIXED
Alias: None
Product: gcc
Classification: Unclassified
Component: c++ (show other bugs)
Version: 3.3.1
: P2 minor
Target Milestone: 3.3.1
Assignee: Not yet assigned to anyone
URL:
Keywords: ice-on-invalid-code, monitored
Depends on:
Blocks:
 
Reported: 2003-06-24 14:53 UTC by Robert Schiele
Modified: 2003-08-06 17:35 UTC (History)
1 user (show)

See Also:
Host: i486-suse-linux
Target: i486-suse-linux
Build: i486-suse-linux
Known to work:
Known to fail:
Last reconfirmed: 2003-07-01 00:20:46


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Robert Schiele 2003-06-24 14:53:19 UTC
gcc 3.3.x ICEs on the following invalid code: 
 
enum a { }; 
void b() { 
    a::c(); 
} 
 
# g++ -c test.cc 
test.cc: In function `void b()': 
test.cc:3: internal compiler error: Segmentation fault 
Please submit a full bug report, 
with preprocessed source if appropriate. 
See <URL:http://gcc.gnu.org/bugs.html> for instructions. 
 
gcc 3.4 handles the case correctly.
Comment 1 Wolfgang Bangerth 2003-06-24 16:27:23 UTC
Confirmed, a regression in 3.3 w.r.t. 3.2 on really broken code.
Already fixed in 3.4.

W.
Comment 2 Volker Reichelt 2003-07-02 08:02:21 UTC
Now also fixed for gcc 3.3.1 (probably by Marks patch for PR 11149).